# SIPAuthInfo Class Reference

`#include <sipep.h>`

## Public Member Functions

| SIPAuthInfo ()
| SIPAuthInfo (const PString &u, const PString &p)

## Data Fields

PString | username
PString | password

## Detailed Description

Class to hold authentication information

## Constructor & Destructor Documentation

SIPAuthInfo::SIPAuthInfo | ( |  | ) | `[inline]`

SIPAuthInfo::SIPAuthInfo | ( | const PString & | u,
|  | const PString & | p |
| ) |  |  | `[inline]`

## Field Documentation

PString SIPAuthInfo::password

PString SIPAuthInfo::username

The documentation for this class was generated from the following file:

- sipep.h